python-pyside-1.0.8-2.sdl6.i686.rpm


Advertisement

Description

python-pyside - Python bindings for Qt4

Property Value
Distribution CentOS 6
Repository PUIAS Computational i386
Package name python-pyside
Package version 1.0.8
Package release 2.sdl6
Package architecture i686
Package type rpm
Installed size 21.36 MB
Download size 4.49 MB
Official Mirror springdale.math.ias.edu
PySide provides Python bindings for the Qt cross-platform application
and UI framework. PySide consists of a full set of Qt bindings, being
compatible with PyQt4 API 2.

Alternatives

Package Version Architecture Repository
python-pyside-1.0.8-2.sdl6.x86_64.rpm 1.0.8 x86_64 PUIAS Computational
python-pyside-0.4.1-3.el6.x86_64.rpm 0.4.1 x86_64 EPEL
python-pyside-0.4.1-3.el6.i686.rpm 0.4.1 i686 EPEL
python-pyside-0.4.1-3.el6.i686.rpm 0.4.1 i686 EPEL
python-pyside - - -

Requires

Name Value
/sbin/ldconfig -
libQtCore.so.4 -
libQtDeclarative.so.4 -
libQtDesigner.so.4 -
libQtGui.so.4 -
libQtHelp.so.4 -
libQtMultimedia.so.4 -
libQtNetwork.so.4 -
libQtOpenGL.so.4 -
libQtScript.so.4 -
libQtScriptTools.so.4 -
libQtSql.so.4 -
libQtSvg.so.4 -
libQtTest.so.4 -
libQtWebKit.so.4 -
libQtXml.so.4 -
libQtXmlPatterns.so.4 -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpython2.6.so.1.0 -
libshiboken-python2.6.so.1.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
python(abi) = 2.6
qt4(x86-32) >= 4.6.2
rtld(GNU_HASH) -

Provides

Name Value
libpyside-python2.6.so.1.0 -
python-pyside = 1.0.8-2.sdl6
python-pyside(x86-32) = 1.0.8-2.sdl6

Download

Type URL
Binary Package python-pyside-1.0.8-2.sdl6.i686.rpm
Source Package python-pyside-1.0.8-2.sdl6.src.rpm

Install Howto

  1. Download latest puias-computational rpm from
    http://springdale.math.ias.edu/data/puias/computational/6/i386/
  2. Install puias-computational rpm:
    # rpm -Uvh puias-computational*rpm
  3. Install python-pyside rpm package:
    # yum install python-pyside

Files

Path
/usr/lib/libpyside-python2.6.so.1.0
/usr/lib/libpyside-python2.6.so.1.0.8
/usr/lib/python2.6/site-packages/PySide/QtCore.so
/usr/lib/python2.6/site-packages/PySide/QtDeclarative.so
/usr/lib/python2.6/site-packages/PySide/QtGui.so
/usr/lib/python2.6/site-packages/PySide/QtHelp.so
/usr/lib/python2.6/site-packages/PySide/QtMultimedia.so
/usr/lib/python2.6/site-packages/PySide/QtNetwork.so
/usr/lib/python2.6/site-packages/PySide/QtOpenGL.so
/usr/lib/python2.6/site-packages/PySide/QtScript.so
/usr/lib/python2.6/site-packages/PySide/QtScriptTools.so
/usr/lib/python2.6/site-packages/PySide/QtSql.so
/usr/lib/python2.6/site-packages/PySide/QtSvg.so
/usr/lib/python2.6/site-packages/PySide/QtTest.so
/usr/lib/python2.6/site-packages/PySide/QtUiTools.so
/usr/lib/python2.6/site-packages/PySide/QtWebKit.so
/usr/lib/python2.6/site-packages/PySide/QtXml.so
/usr/lib/python2.6/site-packages/PySide/QtXmlPatterns.so
/usr/lib/python2.6/site-packages/PySide/__init__.py
/usr/lib/python2.6/site-packages/PySide/__init__.pyc
/usr/lib/python2.6/site-packages/PySide/__init__.pyo
/usr/lib/python2.6/site-packages/PySide/private.py
/usr/lib/python2.6/site-packages/PySide/private.pyc
/usr/lib/python2.6/site-packages/PySide/private.pyo
/usr/share/doc/python-pyside-1.0.8/COPYING
/usr/share/doc/python-pyside-1.0.8/licensecomment.txt

Changelog

2011-10-26 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-2
- Rebuilt for glibc bug#747377
2011-10-21 - Kalev Lember <kalevlember@gmail.com> - 1.0.8-1
- Update to 1.0.8
- Dropped the Qt 4.8 patch that was merged upstream
2011-08-25 - Kalev Lember <kalevlember@gmail.com> - 1.0.6-1
- Update to 1.0.6
- Added a patch for building with Qt 4.8
2011-06-23 - Kalev Lember <kalev@smartlink.ee> - 1.0.4-1
- Update to 1.0.4
- Cleaned up the spec file for modern rpmbuild
2011-05-27 - Kalev Lember <kalev@smartlink.ee> - 1.0.3-1
- Update to 1.0.3
2011-05-01 - Kalev Lember <kalev@smartlink.ee> - 1.0.2-1
- Update to 1.0.2
2011-04-03 - Kalev Lember <kalev@smartlink.ee> - 1.0.1-1
- Update to 1.0.1
2011-03-03 - Kalev Lember <kalev@smartlink.ee> - 1.0.0-1.1
- Require Qt version greater or equal than the package was built with
2011-03-03 - Kalev Lember <kalev@smartlink.ee> - 1.0.0-1
- Update to 1.0.0
- Re-enabled Provides filtering
- Force Release build type to make sure NDEBUG is defined
2011-02-09 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

See Also

Package Description
python-pyside-devel-1.0.8-2.sdl6.i686.rpm Development files for python-pyside
python-queuelib-1.0-3.sdl6.noarch.rpm A collection of persistent (disk-based) queues
python-redis-2.7.6-1.sdl6.noarch.rpm A Python client for redis
python-scikit-learn-0.13.1-1.sdl6.i686.rpm Python module for machine learning
python-setupdocs-1.0.5-5.sdl6.noarch.rpm Setuptools plugin
python-tables-2.2.1-2.puias6.i686.rpm Hierarchical datasets in Python
python-traitsui-4.3.0-2.sdl6.noarch.rpm User interface tools designed to complement Traits
python-traitsui-doc-4.3.0-2.sdl6.noarch.rpm Documentation for python-traitsui
python-unittest2-0.5.1-3.sdl6.noarch.rpm Backport of new unittest features for Python 2.7 to Python 2.4+
python-w3lib-1.3-2.sdl6.noarch.rpm Library of web-related functions
python-werkzeug-0.8.3-2.sdl6.noarch.rpm The Swiss Army knife of Python web development
python-werkzeug-doc-0.8.3-2.sdl6.noarch.rpm Documentation for python-werkzeug
python-zmq-2.2.0.1-1.sdl6.i686.rpm Software library for fast, message-based applications
python-zmq-tests-2.2.0.1-1.sdl6.i686.rpm Software library for fast, message-based applications
python27-2.7.8-3.sdl6.i686.rpm An interpreted, interactive, object-oriented programming language
Advertisement
Advertisement